using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication19
{
    class Program
    {
        static void Main(string[] args)
        {
            Int64 V = Int64.Parse(Console.ReadLine());
            int s = 0;
            while (V != 0)
            {
                Int64 i = 0;
                i = V % 10;
                if (i == 1 || i == 2 || i == 5)
                {
                    s += 1;
                }
                if (i == 3 || i == 4 || i == 6 || i == 7)
                {
                    s += 2;
                }
                if (i == 8 || i == 9)
                {
                    s += 3;
                }
                V /= 10;
            }
            Console.WriteLine(s);
        }
    }
}